Reorder clients
curl --request POST \
--url https://api.contracting.kukkingu.software/api/v1/clients/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"ids": [
"clnt_z2b3mo8qa5kzptgsu26q2wmh"
]
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/clients/order"
payload = { "ids": ["clnt_z2b3mo8qa5kzptgsu26q2wmh"] }
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ids: ['clnt_z2b3mo8qa5kzptgsu26q2wmh']})
};
fetch('https://api.contracting.kukkingu.software/api/v1/clients/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"clnt_z2b3mo8qa5kzptgsu26q2wmh"
]
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Clients
Reorder clients
Updates the ordering of the current tenant’s clients. Clients not listed keep relative order by creation date.
POST
/
api
/
v1
/
clients
/
order
Reorder clients
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Body
application/json
Request body that defines the target order for clients.
Request body that defines the target order for clients.
Ordered list of client IDs representing the desired sort order.
Unique identifier of the client.
Minimum string length:
1Response
Default Response
Standard success response payload wrapped in a data property.
Ordered list of client IDs after the reorder operation is applied.
Unique identifier of the client.
Minimum string length:
1